import React, { Component } from 'react';
import '../content.less';
import LeftTab from '../leftTab';
import TechAchievement from './techAchievement';
import {getMenu} from '../publicMenu.jsx'

class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: 'div'
        };
    }
    componentWillMount() {
        var ids=window.location.href.indexOf('rid=');
        var idk=window.location.href.substr(ids+4);
        var rid=idk.split('#');
        let menu=getMenu(rid);
        let curry;
        if(menu[0].subMenus.length>0){
        	curry=menu[0].subMenus[0].url.split('#');
        }else{
        	curry=menu[0].url.split('#');
        };
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
         this.getKey(curry[1]);
        };
    }
    getKey(key) {
        switch (key) {
            case 'techAchievementManage':
                require.ensure([], () => {
                    const TechAchievement = require('./techAchievement').default;
                    this.setState({
                        component: TechAchievement,
                        listApiUrl: '/api/admin/achievement/orgList',
                        detailApiUrl: '/api/admin/achievement/orgDetail'
                    });
                });
                break;
            case 'userTechAchievement':
                require.ensure([], () => {
                    const TechAchievement = require('./techAchievement').default;
                    this.setState({
                        component: TechAchievement,
                        listApiUrl: '/api/admin/achievement/userList',
                        detailApiUrl: '/api/admin/achievement/userDetail'
                    });
                });
                break;
            case 'userAchievementOrder':
                require.ensure([], () => {
                    const AchievementOrder = require('./achievementOrder').default;
                    this.setState({
                        component: AchievementOrder,
                        listApiUrl: '/api/admin/portal/order/userAchievementOrderList',
                        detailApiUrl: '/api/admin/achievement/userDetail'
                    });
                });
                break;
            case 'orgAchievementOrder':
                require.ensure([], () => {
                    const AchievementOrder = require('./achievementOrder').default;
                    this.setState({
                        component: AchievementOrder,
                        listApiUrl: '/api/admin/portal/order/orgAchievementOrderList',
                        detailApiUrl: '/api/admin/achievement/orgDetail'
                    });
                });
                break;
            default:
            require.ensure([], () => {
                const Module = require('../module').default;
                this.setState({
                    component:Module     
                	});
                });  
        };
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                    <this.state.component
                        data-listApiUrl={this.state.listApiUrl}
                        data-detailApiUrl={this.state.detailApiUrl} />
                </div>
            </div>
        )
    }
}

export default Content;
